import numpy as np
import sklearn.datasets as data


X, y = data.make_blobs( n_samples=[50,50,50], n_features=2, 
       centers=np.array( [[4.5,4.0], [-3.0,3.0], [0.0, -4.0]] ), cluster_std=1.2, random_state=20 )

y = np.reshape( y, (-1,1) )  # Un vector columna
X = np.reshape( X, (-1,2) )  # Una matriz de tamaño n x 2
print( y.shape )
print( X.shape )
D = np.hstack( (X, y) )
print( D.shape )

np.savetxt( "datos.csv", D, delimiter=',', fmt='%1.3f' )
