import numpy as np
from sklearn import model_selection
from sklearn.naive_bayes import GaussianNB
from sklearn import metrics

D = np.loadtxt( "datos.csv", delimiter=',' )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos de entrenamiento y de prueba
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X, y, test_size = 0.2, random_state = 20 )
np.savetxt( "Xprueba.txt", Xprueba )
np.savetxt( "yprueba.txt", yprueba )

# Se usa el modelo de Bayes ingenuo 
gnb = GaussianNB()
gnb.fit(Xentrena, yentrena)

ypredichas = gnb.predict(Xentrena)
exactitud = metrics.accuracy_score( yentrena, ypredichas )
print( "Entrenamiento:", exactitud )

ypredichas = gnb.predict( Xprueba )
e = metrics.accuracy_score( yprueba, ypredichas )
print( "Prueba:", e )

print( gnb.classes_ )
print( gnb.class_prior_ )
print( gnb.class_count_ )
# Las medias para las clases:
print( gnb.theta_ )
# Las varianzas (si, lo son!!!) para las clases:
print( gnb.sigma_ )
print( gnb.epsilon_ )
