import numpy as np
# Función obtenida de:
# /usr/local/anaconda3/lib/python3.7/site-packages/sklearn/naive_bayes.py 
#
classes_ = [0., 1., 2.]
class_prior_ = [0.31666667, 0.35833333, 0.325     ]
# class_count_[38. 43. 39.]
theta_ = np.array( [[ 4.59700718,  3.75777326],
          [-2.62084047,  2.80674528],
          [-0.21069141, -3.83069333]] )
sigma_ = np.array( [[0.81858729, 2.37625019],
          [1.43759343, 1.29118841],
          [1.06188722, 1.29828196]] )
# epsilon_ = 1.2796806138848648e-08

def _joint_log_likelihood( X ):
	joint_log_likelihood = []
	for i in range(np.size(classes_)):
		jointi = np.log( class_prior_[i] )
		n_ij = - 0.5 * np.sum(np.log(2. * np.pi * sigma_[i, :]))
		n_ij -= 0.5 * np.sum(((X - theta_[i, :]) ** 2) / (sigma_[i, :]))

		joint_log_likelihood.append(jointi + n_ij)

	joint_log_likelihood = np.array(joint_log_likelihood).T

	return joint_log_likelihood

#                                              X - (mu_i)^2
#  =   log p(Yj) - log sum si sqrt(2pi) - sum --------------
#                       i                       2 x_i^2
#
# Esta es la ecuación programada para evaluar la pertenencia
# de un vector a una clase                                                           
